@font-face {
    font-family: '8bitOperatorPlus-Bold';
    src: url('./tobyfonts/8bitOperatorPlus-Bold.eot?#iefix') format('embedded-opentype'), 
         url('./tobyfonts/8bitOperatorPlus-Bold.woff') format('woff'), 
         url('./tobyfonts/8bitOperatorPlus-Bold.ttf') format('truetype'), 
         url('./tobyfonts/8bitOperatorPlus-Bold.svg#8bitOperatorPlus-Bold') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: '8bitOperatorPlus-Regular';
    src: url('./tobyfonts/8bitOperatorPlus-Regular.eot?#iefix') format('embedded-opentype'), 
         url('./tobyfonts/8bitOperatorPlus-Regular.woff') format('woff'), 
         url('./tobyfonts/8bitOperatorPlus-Regular.ttf') format('truetype'), 
         url('./tobyfonts/8bitOperatorPlus-Regular.svg#8bitOperatorPlus-Bold') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'JF-Dot-Shinonome-14-Regular';
    src: url('./tobyfonts/JF-Dot-Shinonome-14-Regular.eot?#iefix') format('embedded-opentype'), 
         url('./tobyfonts/JF-Dot-Shinonome-14-Regular.woff') format('woff'), 
         url('./tobyfonts/JF-Dot-Shinonome-14-Regular.ttf') format('truetype'), 
         url('./tobyfonts/JF-Dot-Shinonome-14-Regular.svg#JF-Dot-Shinonome-14-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'DePixel Schmal';
    src: url('./tobyfonts/depixelschmal.woff2') format('woff2'),
         url('./tobyfonts/depixelschmal.woff') format('woff'),
         url('./tobyfonts/depixelschmal.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'DePixel Halbfett';
    src: url('./tobyfonts/depixelhalbfett.woff2') format('woff2'),
         url('./tobyfonts/depixelhalbfett.woff') format('woff'),
         url('./tobyfonts/depixelhalbfett.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "main";
    src: url("./fonts/main.otf") format("opentype");
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    /*background-image: url('./battleback.gif');*/
    background-color: #000000;
    background-repeat: repeat;
    color: #ffffff;
    flex-direction: column;
    font-family: "8BitOperatorPlus-Regular", sans-serif;
}

#game {
    width: 640px;
    aspect-ratio: 4 / 3;
    border: 2px solid #787878;
    margin-bottom: 20px;
}

.font-8bit-bold {
	font-family: "8bitOperatorPlus-Bold", monospace;
}

.yellow {
	color: #f9ff10;
}

.mt-16 {
	margin-top: 4rem;
}

input,
select {
    border: 2px solid white;
    margin: 10px;
    padding: 5px;
    font-size: 16px;
    border-radius: 0px;
    background-color: #000000;
    color: #ffffff;
    font-family: "8BitOperatorPlus-Regular", sans-serif;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    transition: border 0.3s ease-in-out;
}

button {
    border: 2px solid yellow;
    padding: 10px;
    font-size: 18px;
    margin-left: auto;
    margin-right: auto;
    color: yellow;
    background-color: black;
    font-family: "8BitOperatorPlus-Regular", sans-serif;
    font-weight: bold;
    font-variant-emoji: text;
    margin-top: 15px;
    margin-bottom: 15px;
    cursor: pointer;
}

.flexrow {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.centeralign {
    flex: none;
    flex-direction: column;
    align-items: center;
    text-align: center;
    max-width: 600px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}

.txt {
    width: 300px;
}

select {
    cursor: pointer;

    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;

    cursor: pointer;
    transition: border 0.3s ease-in-out;
}

.blurb,
.image-full {
    display: block;
    margin-bottom: 5px;
    margin-top: 30px;
    align-items: center;
}

h1 {
    font-family: "8BitOperatorPlus-Bold", sans-serif;
    font-size: 30px;
    margin-bottom: 20px;
    font-weight: normal;
    color: yellow;
}

p,
ul li,
ol li {
    color: #ffffff;
    line-height: 1.5;
    font-size: 16px;
    margin-top: 15px;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
    font-family: "8BitOperatorPlus-Regular", sans-serif;
}

label {
    color: #ffffff;
    line-height: 1.5;
    font-size: 16px;
    /*margin-top: 15px;*/
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
    font-family: "8BitOperatorPlus-Regular", sans-serif;
}

#pauseMenuBorder {
    background: white;
    padding: 2px;
    width: 70vw;
    max-width: 400px;
}

#pauseMenu {
	display: flex;
	flex-direction: column;
	padding: 60px 30px 60px 30px;
	background: black;
	animation-name: fadeIn;
	animation-duration: 0.5s;
	opacity: 1;
}

#pauseMenu button {
	border: 2px solid yellow;
    padding: 10px;
    font-size: 18px;
    margin: 5px 0;
    color: yellow;
    background-color: black;
    font-family: "8BitOperatorPlus-Regular", sans-serif;
    font-weight: bold;
    font-variant-emoji: text;
    margin-top: 15px;
    margin-bottom: 15px;
    cursor: pointer;

	-webkit-user-select: none;
	user-select: none;
}

p {
	margin-top: 0px;
	margin-bottom: 30px;
	padding-left: 15px;
	padding-right: 15px;
}

a {
    color: #ffffff;
    text-decoration: underline;
}

footer p {
	margin-top: 0px;
	margin-bottom: 4px;
	padding-left: 15px;
	padding-right: 15px;
    font-size: 12px;
}

footer {
    margin-bottom: 30px;
    margin-top: 30px;
}

hr {
    border: none;
    border-top: 2px solid #ffffff;
    margin: 30px 0;
}

img {
    image-rendering: pixelated;
}

@media (orientation: portrait) {
    body {
        align-items: center;
    }

    .flexrow {
        flex-direction: column;
        gap: 0.5rem;
    }
    
    input, select, label {
        font-size: 4vw;
        margin: 2vw;
        padding: 1vw;
    }

    input, select {
        margin-top: 0;
    }

    label {
        margin-bottom: 0;
    }
    
    button {
        font-size: 4vw;
        padding: 2vw;
        margin: 2vw 0;
    }
    
    h1 {
        font-size: 6vw;
    }
    
    p {
        font-size: 3.5vw;
    }
    
    .txt {
        width: 80vw;
    }
    
    #game {
        width: 90vw;
    }
    
    img {
        width: 90vw !important;
    }
    
    iframe {
        width: 90vw !important;
    }

    #yt-iframe {
        width: 80vw !important;
        margin: 0 auto;
        display: block;
    }

    .centeralign {
        max-width: 80vw;
    }
}